## org.apache.aries.subsystem.core.internal
Class BundleRevisionResource

    java.lang.Object
      org.apache.aries.subsystem.core.internal.BundleRevisionResource

All Implemented Interfaces:
  org.osgi.resource.Resource

    public class BundleRevisionResource

extends Object
implements org.osgi.resource.Resource

Constructor Summary
`BundleRevisionResource(org.osgi.framework.wiring.BundleRevision revision)`

Method Summary
`List<org.osgi.resource.Capability>` `getCapabilities(String namespace)`
`List<org.osgi.resource.Requirement>` `getRequirements(String namespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.osgi.resource.Resource
`equals, hashCode`

Constructor Detail

### BundleRevisionResource

    public BundleRevisionResource(org.osgi.framework.wiring.BundleRevision revision)

Method Detail

### getCapabilities

    public List<org.osgi.resource.Capability> getCapabilities(String namespace)

  Specified by:
    `getCapabilities` in interface `org.osgi.resource.Resource`

### getRequirements

    public List<org.osgi.resource.Requirement> getRequirements(String namespace)

  Specified by:
    `getRequirements` in interface `org.osgi.resource.Resource`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.